package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.enums.BaseEnum;

public enum ApprovalStatus implements BaseEnum<String, ApprovalStatus> {
	APPROVED("APPROVED", "同意"),
	DENIED("DENIED", "拒绝"),
	PROCESSING("PROCESSING", "处理中"),
	CANCELED("CANCELED", "取消");

	private String code;

	private String msg;

	ApprovalStatus(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Override
	public String getCode() {
		return name();
	}

}
